CppUnit project page | FAQ | CppUnit home page

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TestPlugInDefaultImpl Class Reference
[Writing Test Plug-in]

Default implementation of test plug-in interface. More...

`#include <TestPlugInDefaultImpl.h>`

Inheritance diagram for TestPlugInDefaultImpl:

[legend]
Collaboration diagram for TestPlugInDefaultImpl:

[legend]
List of all members.

## Public Member Functions
| TestPlugInDefaultImpl ()
virtual | ~TestPlugInDefaultImpl ()
void | initialize (TestFactoryRegistry *registry, const PlugInParameters &parameters)
void | addListener (TestResult *eventManager)
void | removeListener (TestResult *eventManager)
void | addXmlOutputterHooks (XmlOutputter *outputter)
void | removeXmlOutputterHooks ()
| Called when the XmlOutputter is destroyed.
void | uninitialize (TestFactoryRegistry *registry)

## Detailed Description

Default implementation of test plug-in interface.

Override getSuiteName() to specify the suite name. Default is "All Tests".

CppUnitTestPlugIn::getTestSuite() returns a suite that contains all the test registered to the default test factory registry ( TestFactoryRegistry::getRegistry() ).

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN TestPlugInDefaultImpl::TestPlugInDefaultImpl | ( |  | ) |

TestPlugInDefaultImpl::~TestPlugInDefaultImpl | ( |  | ) | `[virtual]`

## Member Function Documentation

void TestPlugInDefaultImpl::initialize | ( | TestFactoryRegistry * | registry,
|  | const PlugInParameters & | parameters |
| ) |  |  |

void TestPlugInDefaultImpl::addListener | ( | TestResult * | eventManager | ) |

void TestPlugInDefaultImpl::removeListener | ( | TestResult * | eventManager | ) |

void TestPlugInDefaultImpl::addXmlOutputterHooks | ( | XmlOutputter * | outputter | ) |

void TestPlugInDefaultImpl::removeXmlOutputterHooks | ( |  | ) | `[virtual]`

Called when the XmlOutputter is destroyed.

Can be used to free some resources allocated by addXmlOutputterHooks().

Implements CppUnitTestPlugIn.

void TestPlugInDefaultImpl::uninitialize | ( | TestFactoryRegistry * | registry | ) |

The documentation for this class was generated from the following files:

- TestPlugInDefaultImpl.h
- TestPlugInDefaultImpl.cpp

| hosts this site. |  | Send comments to: CppUnit Developers